﻿--
-- Script was generated by Devart dbForge Studio for MySQL, Version 8.0.40.0
-- Product home page: http://www.devart.com/dbforge/mysql/studio
-- Script date 18/06/2019 11:55:30
-- Server version: 5.5.5-10.1.40-MariaDB
-- Client version: 4.1
--

-- 
-- Disable foreign keys
-- 
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;

-- 
-- Set SQL mode
-- 
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;

-- 
-- Set character set the client will use to send SQL statements to the server
--
SET NAMES 'utf8';

DROP DATABASE IF EXISTS ejemplo1mod1;

CREATE DATABASE IF NOT EXISTS ejemplo1mod1
CHARACTER SET latin1
COLLATE latin1_swedish_ci;

--
-- Set default database
--
USE ejemplo1mod1;

--
-- Create table `productosimportados`
--
CREATE TABLE IF NOT EXISTS productosimportados (
  ID int(11) NOT NULL,
  NOMBRE varchar(12) DEFAULT NULL,
  PESO int(11) NOT NULL,
  PRIMARY KEY (ID)
)
ENGINE = INNODB,
AVG_ROW_LENGTH = 819,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create index `PESO_index` on table `productosimportados`
--
ALTER TABLE productosimportados
ADD INDEX PESO_index (PESO);

--
-- Create table `clientesimportados`
--
CREATE TABLE IF NOT EXISTS clientesimportados (
  ID int(11) NOT NULL,
  NOMBRE varchar(12) DEFAULT NULL,
  PRIMARY KEY (ID)
)
ENGINE = INNODB,
AVG_ROW_LENGTH = 819,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create table `compranimportados`
--
CREATE TABLE IF NOT EXISTS compranimportados (
  PRODUCTO int(11) NOT NULL,
  CLIENTE int(11) NOT NULL,
  FECHA datetime DEFAULT NULL,
  CANTIDAD varchar(255) DEFAULT NULL,
  PRIMARY KEY (PRODUCTO, CLIENTE)
)
ENGINE = INNODB,
AVG_ROW_LENGTH = 4096,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create index `CLIENTE_index` on table `compranimportados`
--
ALTER TABLE compranimportados
ADD INDEX CLIENTE_index (CLIENTE);

--
-- Create foreign key
--
ALTER TABLE compranimportados
ADD CONSTRAINT FK_compranimportados_clientesimportados_ID FOREIGN KEY (CLIENTE)
REFERENCES clientesimportados (ID) ON DELETE NO ACTION ON UPDATE NO ACTION;

--
-- Create foreign key
--
ALTER TABLE compranimportados
ADD CONSTRAINT FK_compranimportados_productosimportados_ID FOREIGN KEY (PRODUCTO)
REFERENCES productosimportados (ID) ON DELETE NO ACTION ON UPDATE NO ACTION;

-- 
-- Dumping data for table productosimportados
--
INSERT INTO productosimportados VALUES
(1, 'PRODUCTO 1', 2),
(2, 'PRODUCTO 2', 3),
(3, 'PRODUCTO 3', 4),
(4, 'PRODUCTO 4', 5),
(5, 'PRODUCTO 5', 6),
(6, 'PRODUCTO 6', 7),
(7, 'PRODUCTO 7', 8),
(8, 'PRODUCTO 8', 9),
(9, 'PRODUCTO 9', 10),
(10, 'PRODUCTO 10', 11),
(11, 'PRODUCTO 11', 12),
(12, 'PRODUCTO 12', 13),
(13, 'PRODUCTO 13', 14),
(14, 'PRODUCTO 14', 15),
(15, 'PRODUCTO 15', 16),
(16, 'PRODUCTO 16', 17),
(17, 'PRODUCTO 17', 18),
(18, 'PRODUCTO 18', 19),
(19, 'PRODUCTO 19', 20),
(20, 'PRODUCTO 20', 21);

-- 
-- Dumping data for table clientesimportados
--
INSERT INTO clientesimportados VALUES
(1, 'CLIENTE 1'),
(2, 'CLIENTE 2'),
(3, 'CLIENTE 3'),
(4, 'CLIENTE 4'),
(5, 'CLIENTE 5'),
(6, 'CLIENTE 6'),
(7, 'CLIENTE 7'),
(8, 'CLIENTE 8'),
(9, 'CLIENTE 9'),
(10, 'CLIENTE 10'),
(11, 'CLIENTE 11'),
(12, 'CLIENTE 12'),
(13, 'CLIENTE 13'),
(14, 'CLIENTE 14'),
(15, 'CLIENTE 15'),
(16, 'CLIENTE 16'),
(17, 'CLIENTE 17'),
(18, 'CLIENTE 18'),
(19, 'CLIENTE 19'),
(20, 'CLIENTE 20');

-- 
-- Dumping data for table compranimportados
--
INSERT INTO compranimportados VALUES
(1, 18, '2019-06-18 00:00:00', NULL),
(1, 19, '2019-06-19 00:00:00', NULL),
(2, 18, '2019-06-20 00:00:00', NULL),
(3, 1, '2019-06-05 00:00:00', NULL);

-- 
-- Restore previous SQL mode
-- 
/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;

-- 
-- Enable foreign keys
-- 
/*!40014 SET FOREIGN_KEY_CHECKS = @OLD_FOREIGN_KEY_CHECKS */;